import { MarkerSeries } from "./MarkerSeries";
import { Point, Type } from "igniteui-angular-core/ES5/type";
import { PolarAxisInfoCache } from "./PolarAxisInfoCache";
import { SeriesRenderer$2 } from "./SeriesRenderer$2";
import { PolarFrame } from "./PolarFrame";
import { DependencyProperty } from "igniteui-angular-core/ES5/DependencyProperty";
import { IFastItemColumn$1 } from "igniteui-angular-core/ES5/IFastItemColumn$1";
import { NumericAngleAxis } from "./NumericAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { TrendLineType } from "igniteui-angular-core/ES5/TrendLineType";
import { Brush } from "igniteui-angular-core/ES5/Brush";
import { PenLineCap } from "igniteui-angular-core/ES5/PenLineCap";
import { DoubleCollection } from "igniteui-angular-core/ES5/DoubleCollection";
import { SeriesView } from "./SeriesView";
import { List$1 } from "igniteui-angular-core/ES5/List$1";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Axis } from "./Axis";
import { Rect } from "igniteui-angular-core/ES5/Rect";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { PolarAxes } from "./PolarAxes";
import { FastItemsSourceEventAction } from "igniteui-angular-core/ES5/FastItemsSourceEventAction";
import { AxisRange } from "./AxisRange";
import { HashPool$2 } from "igniteui-angular-core/ES5/HashPool$2";
import { OwnedPoint } from "./OwnedPoint";
import { MarkerManagerBase } from "./MarkerManagerBase";
import { PolarTrendLineManager } from "./PolarTrendLineManager";
import { RenderSurface } from "./RenderSurface";
import { IDictionary$2 } from "igniteui-angular-core/ES5/IDictionary$2";
import { RenderingContext } from "igniteui-angular-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare abstract class PolarBase extends MarkerSeries {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    mz: PolarBaseView;
    private m0;
    hn(): void;
    protected get_c0(): boolean;
    nf(a: List$1<SeriesPointOfInterest>): boolean;
    constructor();
    private nz;
    private n0;
    private mt;
    my: PolarAxisInfoCache;
    private oq;
    private op;
    m6: SeriesRenderer$2<PolarFrame, PolarBaseView>;
    no: string;
    nu: string;
    protected na: IFastItemColumn$1<number>;
    private m8;
    protected nb: IFastItemColumn$1<number>;
    private m9;
    mv: NumericAngleAxis;
    mw: NumericRadiusAxis;
    ng: boolean;
    nj: number;
    m7: TrendLineType;
    ok: Brush;
    oj: Brush;
    static readonly n4: DependencyProperty;
    ni: number;
    om: PenLineCap;
    ol: DoubleCollection;
    nk: number;
    nl: number;
    ne: boolean;
    m3: PolarFrame;
    m5: PolarFrame;
    m2: PolarFrame;
    mx: PolarAxes;
    h4(): void;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected jk(a: Rect, b: Rect): void;
    protected jl(a: Rect, b: Rect): void;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    i6(a: boolean): void;
    private oo;
    an(a: Axis): AxisRange;
    c8(a: any): boolean;
    fm(a: Point): any;
    e5(a: Point): number;
    ag(): Axis[];
    protected is(a: any, b: string, c: any, d: any): void;
    nd(a: any): boolean;
    nc(a: any): boolean;
    hp(a: boolean, b: SeriesView): void;
    private mu;
    ny(a: PolarFrame, b: number, c: Rect, d: Rect): void;
    n1(a: PolarFrame, b: PolarBaseView): void;
    n3(a: PolarFrame, b: PolarBaseView): void;
    private nx;
    protected jg(): void;
    m4: PolarFrame;
    i7(a: Rect, b: RenderSurface): void;
    private m1;
    i4(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    n2(a: IDictionary$2<any, OwnedPoint>, b: HashPool$2<any, Marker>): void;
    ms(a: HashPool$2<any, Marker>, b: Rect, c: Rect): Point[];
    nh(a: HashPool$2<any, Marker>): List$1<number>;
    on(a: number): Point;
    protected hy(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarBaseView extends MarkerSeriesView {
    static $t: Type;
    protected cq: PolarBase;
    cp: MarkerManagerBase;
    constructor(a: PolarBase);
    cr: PolarTrendLineManager;
    ap(): void;
    protected co(): MarkerManagerBase;
    protected cv(a: IDictionary$2<any, OwnedPoint>): void;
    protected cn(): Point[];
    protected ct(): List$1<number>;
    cu(a: Rect, b: Rect, c: Rect, d: Rect): void;
    cw(): void;
    cs: HashPool$2<any, Marker>;
    cc(a: (arg1: Marker) => void): void;
    protected a2(a: RenderingContext, b: boolean): void;
    protected cx(): Rect;
    getDefaultTooltipTemplate(): string;
}
